Searches Order Payments by parameters
Searches Order Payments by parameters
Query Parameters
Created since
Filter by.
Available field name values: id, payment_method, created_on.
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: created_on:gte:2021-06-03T05:48:09+10:00,id:in:2|3
Order by.
Available field name values: id, payment_method, created_on.
Available direction values: asc, desc.
Example: id asc, payment_method desc
>= 1<= 100000
>= 1<= 2147483647
Path Parameters
Order id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Order Payments data
OrderPayment.PagingResponse
Order Payment Model
Show Child Parameters
Path Parameters
Query Parameters
Headers
Gets specific Order Payment
Gets specific Order Payment
Path Parameters
Order id
Payment id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Order Payment
OrderPayment
Order Payment Model
Order Payment Id .
External Id.
Payment Method Model
Show Child Parameters
Amount.
Created On.
Path Parameters
Headers
Searches Orders by parameters
Searches Orders by parameters
Query Parameters
Created since
Modified since
Include items
Include fulfilments
Include payments
Include order vouchers
Order by.
Available field name values: id, outlet, sales_channel, customer, sales_person, created_on, modified_on.
Available direction values: asc, desc.
Example: id asc, outlet desc
Filter by.
Available field name values: created_on, modified_on, order_number, order_status_id, sales_channel_id, shopify_channel, outlet_id, customer_id, customer_number, customer_email, sales_person_id, original_order_id, ext_unique_id, order_id.
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: created_on:gte:2021-06-03T05:48:09+10:00,order_number:in:order_number1|order_number2
Example: shopify_channel:eq:true
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns Orders
Order.PagingResponse
Order Model
Show Child Parameters
Query Parameters
Headers
Gets specific Order by unique id
Gets specific Order by unique id
Query Parameters
Include items
Include fulfilments
Include payments
Path Parameters
Order id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Order
Order
Order Model
Billing address model
Show Child Parameters
Delivery Address model
Show Child Parameters
External ID of the payment, if applicable.
Freight total
Show Child Parameters
Order Id.
Show Child Parameters
The Order identifier in Retail Express.
Original Order Id.
Show Child Parameters
Show Child Parameters
Show Child Parameters
Order total
Show Child Parameters
Public comments
Is taxable
Created on
Modified on
Fulfilled in full on
Paid in full on
Order Item Model
Show Child Parameters
Fulfilment model
Show Child Parameters
Order Payment Model
Show Child Parameters
Vouchers.